import { StateField, StateEffect } from "@codemirror/state";
const optionsEffect = StateEffect.define();
export const optionsStateField = StateField.define({
    create() { },
    update(opts, tr) {
        for (const e of tr.effects) {
            if (e.is(optionsEffect)) {
                return e.value;
            }
        }
        return opts;
    },
});
export const updateOpts = (view, opts) => {
    view.dispatch({
        effects: optionsEffect.of(opts),
    });
};
export const getOpts = (state) => {
    return state.field(optionsStateField);
};
const defaultOpts = {
    showErrorOnInvalidSchema: true,
};
export const stateExtensions = (opts) => [
    optionsStateField.init(() => (Object.assign(Object.assign({}, defaultOpts), opts))),
];
//# sourceMappingURL=state.js.map