import { EditorView } from "@codemirror/view";
import { isMetaKeyPressed, offsetToPos } from "./helpers";
import { getOpts, } from "./state";
export const jump = EditorView.domEventHandlers({
    click(evt, view) {
        const currentPosition = view.state.selection.main.head;
        const pos = offsetToPos(view.state.doc, currentPosition);
        const opts = getOpts(view.state);
        if (opts?.onShowInDocs && isMetaKeyPressed(evt)) {
            opts.onShowInDocs("fieldName", "fieldType", "parentType");
        }
    },
});
//# sourceMappingURL=jump.js.map